/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package cliente;

import java.io.*;
import java.net.*;

public class LanzadorCliente {
   
   public boolean ejecuta(String ficheroJar, String claseMain) {
	  try{
		 File file = new File(ficheroJar);
		 URLClassLoader cargadorClase = new URLClassLoader(new URL[] { file.toURI().toURL()});
		 Class clase = cargadorClase.loadClass(claseMain);
		 cliente.ILanzable mainForm = (cliente.ILanzable)clase.newInstance();
		 if(mainForm != null) {
			mainForm.lanzaCliente();
			mainForm.estasEmpotrado();
			return true;
		 }
	  } catch(Exception exc){
		 System.err.println("ERROR en método 'ejecuta' de LanzadorCliente:");
		 exc.printStackTrace();
		 System.err.println(" ****  **** **** ");
	  }
	  return false;
   }
}
